package message

import _ "embed"

//go:embed welcome.html
var welcomeHtml string

type Welcome struct {
	Name      string
	VerifyURL string
}

func (e *Welcome) Subject() string {
	return "Welcome, " + e.Name
}

func (e *Welcome) HtmlBody() (string, error) {
	return render(layout, welcomeHtml, e)
}
